| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
OpenZWave::i_LogImpl Class Referenceabstract
Platform Abstraction Support

A Abstract class to create a Custom Logging Method. More...

`#include <Log.h>`

## Public Member Functions
| i_LogImpl ()
virtual | ~i_LogImpl ()
virtual void | Write (LogLevel _level, uint8 const _nodeId, char const *_format, va_list _args)=0
virtual void | QueueDump ()=0
virtual void | QueueClear ()=0
virtual void | SetLoggingState (LogLevel _saveLevel, LogLevel _queueLevel, LogLevel _dumpTrigger)=0
virtual void | SetLogFileName (const string &_filename)=0

## Detailed Description

A Abstract class to create a Custom Logging Method.

Use this as the basis to create a custom logging class for your applation.

See also
  Log::SetLoggingClass

## Constructor & Destructor Documentation

## ◆ i_LogImpl()

OpenZWave::i_LogImpl::i_LogImpl | ( |  | ) |
| inline

## ◆ ~i_LogImpl()

virtual OpenZWave::i_LogImpl::~i_LogImpl | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ QueueClear()

virtual void OpenZWave::i_LogImpl::QueueClear | ( |  | ) |
| pure virtual

## ◆ QueueDump()

virtual void OpenZWave::i_LogImpl::QueueDump | ( |  | ) |
| pure virtual

## ◆ SetLogFileName()

virtual void OpenZWave::i_LogImpl::SetLogFileName | ( | const string & | _filename | ) |
| pure virtual

## ◆ SetLoggingState()

virtual void OpenZWave::i_LogImpl::SetLoggingState | ( | LogLevel | _saveLevel,
|  | LogLevel | _queueLevel,
|  | LogLevel | _dumpTrigger
| ) |  |
| pure virtual

## ◆ Write()

virtual void OpenZWave::i_LogImpl::Write | ( | LogLevel | _level,
|  | uint8 const | _nodeId,
|  | char const * | _format,
|  | va_list | _args
| ) |  |
| pure virtual

The documentation for this class was generated from the following file:

- Log.h